Login
Login-Name Passwort


 
Newsletter
Werbung

Sicherheit: Zwei Probleme in e2fsprogs
Aktuelle Meldungen Distributionen
Name: Zwei Probleme in e2fsprogs
ID: USN-2507-1
Distribution: Ubuntu
Plattformen: Ubuntu 10.04 LTS, Ubuntu 12.04 LTS, Ubuntu 14.04 LTS, Ubuntu 14.10
Datum: Mo, 23. Februar 2015, 22:11
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2015-0247
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2015-1572

Originalnachricht

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--===============5921470803713865248==
Content-Type: multipart/signed; micalg=pgp-sha512;
protocol="application/pgp-signature";
boundary="9CD8CgmmPALXenjwsbhRnsvbmDlVMjhSv"

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--9CD8CgmmPALXenjwsbhRnsvbmDlVMjhSv
Content-Type: text/plain; charset=utf-
Content-Transfer-Encoding: quoted-printable

==========================================================================
Ubuntu Security Notice USN-2507-1
February 23, 2015

e2fsprogs vulnerabilities
==========================================================================

A security issue affects these releases of Ubuntu and its derivatives:

- Ubuntu 14.10
- Ubuntu 14.04 LTS
- Ubuntu 12.04 LTS
- Ubuntu 10.04 LTS

Summary:

e2fsprogs could be made to crash or run programs as an administrator
if it processed a specially crafted filesystem image.

Software Description:
- e2fsprogs: ext2/ext3/ext4 file system utilities

Details:

Jose Duart discovered that e2fsprogs incorrectly handled invalid block
group descriptor data. A local attacker could use this issue with a
crafted filesystem image to possibly execute arbitrary code.
(CVE-2015-0247, CVE-2015-1572)

Update instructions:

The problem can be corrected by updating your system to the following
package versions:

Ubuntu 14.10:
e2fsprogs 1.42.10-1.1ubuntu1.2

Ubuntu 14.04 LTS:
e2fsprogs 1.42.9-3ubuntu1.2

Ubuntu 12.04 LTS:
e2fsprogs 1.42-1ubuntu2.2

Ubuntu 10.04 LTS:
e2fsprogs 1.41.11-1ubuntu2.3

In general, a standard system update will make all the necessary changes.

References:
http://www.ubuntu.com/usn/usn-2507-1
CVE-2015-0247, CVE-2015-1572

Package Information:
https://launchpad.net/ubuntu/+source/e2fsprogs/1.42.10-1.1ubuntu1.2
https://launchpad.net/ubuntu/+source/e2fsprogs/1.42.9-3ubuntu1.2
https://launchpad.net/ubuntu/+source/e2fsprogs/1.42-1ubuntu2.2
https://launchpad.net/ubuntu/+source/e2fsprogs/1.41.11-1ubuntu2.3



--9CD8CgmmPALXenjwsbhRnsvbmDlVMjhSv
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBCgAGBQJU63f2AAoJEGVp2FWnRL6TjnAP/jhbDullkRHcewP3gb9EAQev
MhbPmy3XQkWXF3sCpn2ujUrixiByZ7Y5bfURw8bac6fj0XV5qh2LEyaA8rqmsmJa
O4KELGj2AasPVSo7fTvsSUeGyWUxqvtxaNk6hfzBvrNjspe6EixQDgtf8RvIV+98
h/culfRUiKLkIE1TymKL95yKA8+Bdb/Cpm9kCK6h7nACUAQkOY5DTmhGeD8etgjv
DhMDJQKGwEgXK0oqtAOP4Ms7EkkSuhdR6pqEgVJH78ID9p4r93Ys7vp6lC5N+E5u
bVFdBhvNQbZ54TiUzkh4KChttPzU4/23a/bift293dpk3VE93U7islw2SCrKdCr1
Kn/LIhsFJ62s7Ui/go7oAzUshkZLCzkenuINrUlfMcDjHf4xtovNss5BoIPI9qCn
t8dRiVJCX7dWbEyocJ56pduWI/rbLgMbhu4mG4Ch0lKjGPJzYrY6Vr41HQ2+B78f
wC2/6jasF6HbSiv2ESxL3ggFv4ce1tGvPdV15k0OM7vtBObq04HH3YEK6W58cXiw
1Du/YCVsu2UBcpo9rucCyjalvqjHxJVg3+eLxR5Y7hP5X6nbwdcc4uOwQ4ASbiwf
MuIl/rJ1py0wSAEBKjgdsxSLW82fn9C7aAR9umeArXp1Z2u6yPE8zIIU31ibf6T4
ZVX1dvS02qCXlwgZgOB2
=0p4w
-----END PGP SIGNATURE-----

--9CD8CgmmPALXenjwsbhRnsvbmDlVMjhSv--


--===============5921470803713865248==
Content-Type: text/plain; charset="us-ascii"
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

--
ubuntu-security-announce mailing list
ubuntu-security-announce@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-security-announce

--===============5921470803713865248==--
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung